Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum ETokenType

    java.lang.Object
      java.lang.Enum<ETokenType>
          gudusoft.gsqlparser.ETokenType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ETokenType>

    public enum ETokenType

extends java.lang.Enum<ETokenType>

Type of source token.

Enum Constant Summary
`ttampersand` special character, ampersand &
`ttasterisk` special character, asterisk *
`ttatsign` It's a letter, so can be part of identifier @
`ttbackslash` back slash \, ddb2 use \ for multiline
`ttbindvar`
`ttbracketedcomment` comment like this: /* this is simple comment
`ttbrstring` delimited identifier used in SQL Server: {this is delimited identifier}
`ttcaret` special character, caret ^
`ttcolon` special character, colon :
`ttcomma` special character, comma ,
`ttconcatenationop`
`ttCPPComment` used in mdx
`ttdbstring` delimited identifier used in SQL Server: "this is delimited identifier"
`ttdecode`
`ttdolorsign` $, It's a letter, so can be part of identifier.
`ttdoublequote` special character, quotation mark/double quote/double quotation mark "
`ttdqstring` delimited identifier: "this is delimited identifier"
`ttequals` special character, equals =
`ttexclamationmark` special character, exclamation mark !
`ttgreaterthan` special character, greater than >
`ttidentifier` ordinary identifier
`ttkeyword`
`ttleftbrace` special character, left brace {
`ttleftbracket` special character, left bracket [
`ttleftparenthesis` special character, left parenthesis (
`ttlessthan` special character, less than <
`ttminussign` special character, plus sign -
`ttmulticharoperator`
`ttnonreservedkeyword`
`ttnumber` numeric constant
`ttnumbersign` #, It's a letter, so can be part of identifier.
`ttpercent` special character, percent %
`ttperiod` special character, period .
`ttplussign` special character, plus sign +
`ttquestionmark` special character, question mark ?
`ttRemoved` this token was removed via TParseTreeNode.removeAllMyTokensFromTokenList
`ttreturn`
`ttrightbrace` special character, right brace }
`ttrightbracket` special character, right bracket ]
`ttrightparenthesis` special character, right parenthesis )
`ttsemicolon` special character, semocolon ;
`ttsemicolon2`
`ttsemicolon3`
`ttsimplecomment` comment like this: -- this is simple comment
`ttsinglecharoperator`
`ttsinglequote` special character, apostrophe/single quote/single quotation mark '
`ttslash` special character, slash /
`ttsqlpluscmd`
`ttsqlvar`
`ttsqstring` character string constant: 'this is single quote string'
`ttstmt_delimiter`
`ttsubstitutionvar`
`tttilde` tilde ~
`tttokenlizererrortoken`
`ttunderscore` special character, underscore/underline _
`ttunknown`
`ttunknownchar`
`ttverticalbar` special character, vertical bar |
`ttwhitespace`

Method Summary
`static ETokenType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ETokenType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ttunknown

    public static final ETokenType ttunknown

### ttreturn

    public static final ETokenType ttreturn

### ttwhitespace

    public static final ETokenType ttwhitespace

### ttsimplecomment

    public static final ETokenType ttsimplecomment

  comment like this: -- this is simple comment

### ttbracketedcomment

    public static final ETokenType ttbracketedcomment

  comment like this: /* this is simple comment

### ttnumber

    public static final ETokenType ttnumber

  numeric constant

### ttsqstring

    public static final ETokenType ttsqstring

  character string constant: 'this is single quote string'

### ttdqstring

    public static final ETokenType ttdqstring

  delimited identifier: "this is delimited identifier"

### ttdbstring

    public static final ETokenType ttdbstring

  delimited identifier used in SQL Server: "this is delimited identifier"

### ttbrstring

    public static final ETokenType ttbrstring

  delimited identifier used in SQL Server: {this is delimited identifier}

### ttidentifier

    public static final ETokenType ttidentifier

  ordinary identifier

### ttkeyword

    public static final ETokenType ttkeyword

### ttnonreservedkeyword

    public static final ETokenType ttnonreservedkeyword

### ttsemicolon

    public static final ETokenType ttsemicolon

  special character, semocolon ;

### ttcolon

    public static final ETokenType ttcolon

  special character, colon :

### ttcomma

    public static final ETokenType ttcomma

  special character, comma ,

### ttperiod

    public static final ETokenType ttperiod

  special character, period .

### ttequals

    public static final ETokenType ttequals

  special character, equals =

### ttquestionmark

    public static final ETokenType ttquestionmark

  special character, question mark ?

### ttplussign

    public static final ETokenType ttplussign

  special character, plus sign +

### ttminussign

    public static final ETokenType ttminussign

  special character, plus sign -

### ttasterisk

    public static final ETokenType ttasterisk

  special character, asterisk *

### ttslash

    public static final ETokenType ttslash

  special character, slash /

### ttgreaterthan

    public static final ETokenType ttgreaterthan

  special character, greater than >

### ttlessthan

    public static final ETokenType ttlessthan

  special character, less than <

### ttleftparenthesis

    public static final ETokenType ttleftparenthesis

  special character, left parenthesis (

### ttrightparenthesis

    public static final ETokenType ttrightparenthesis

  special character, right parenthesis )

### ttleftbracket

    public static final ETokenType ttleftbracket

  special character, left bracket [

### ttrightbracket

    public static final ETokenType ttrightbracket

  special character, right bracket ]

### ttleftbrace

    public static final ETokenType ttleftbrace

  special character, left brace {

### ttrightbrace

    public static final ETokenType ttrightbrace

  special character, right brace }

### ttcaret

    public static final ETokenType ttcaret

  special character, caret ^

### ttpercent

    public static final ETokenType ttpercent

  special character, percent %

### ttampersand

    public static final ETokenType ttampersand

  special character, ampersand &

### ttverticalbar

    public static final ETokenType ttverticalbar

  special character, vertical bar |

### ttdoublequote

    public static final ETokenType ttdoublequote

  special character, quotation mark/double quote/double quotation mark "

### ttsinglequote

    public static final ETokenType ttsinglequote

  special character, apostrophe/single quote/single quotation mark '

### ttexclamationmark

    public static final ETokenType ttexclamationmark

  special character, exclamation mark !

### ttunderscore

    public static final ETokenType ttunderscore

  special character, underscore/underline _

### ttatsign

    public static final ETokenType ttatsign

  It's a letter, so can be part of identifier @

### ttdolorsign

    public static final ETokenType ttdolorsign

  $, It's a letter, so can be part of identifier.

### ttnumbersign

    public static final ETokenType ttnumbersign

  #, It's a letter, so can be part of identifier.

### ttbackslash

    public static final ETokenType ttbackslash

  back slash \, ddb2 use \ for multiline

### tttilde

    public static final ETokenType tttilde

  tilde ~

### ttunknownchar

    public static final ETokenType ttunknownchar

### ttsqlpluscmd

    public static final ETokenType ttsqlpluscmd

### ttbindvar

    public static final ETokenType ttbindvar

### ttsqlvar

    public static final ETokenType ttsqlvar

### ttsubstitutionvar

    public static final ETokenType ttsubstitutionvar

### ttstmt_delimiter

    public static final ETokenType ttstmt_delimiter

### ttsinglecharoperator

    public static final ETokenType ttsinglecharoperator

### ttmulticharoperator

    public static final ETokenType ttmulticharoperator

### ttconcatenationop

    public static final ETokenType ttconcatenationop

### ttsemicolon2

    public static final ETokenType ttsemicolon2

### ttsemicolon3

    public static final ETokenType ttsemicolon3

### tttokenlizererrortoken

    public static final ETokenType tttokenlizererrortoken

### ttdecode

    public static final ETokenType ttdecode

### ttCPPComment

    public static final ETokenType ttCPPComment

  used in mdx

### ttRemoved

    public static final ETokenType ttRemoved

  this token was removed via TParseTreeNode.removeAllMyTokensFromTokenList

Method Detail

### values

    public static final ETokenType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ETokenType c : ETokenType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ETokenType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD